<?php
/*****************************************************************************
 * cmi (Copyright Management Information) Plugin for Geeklog                 *
 * Copyright (C) 2004 by the following authors:                              *
 * Authors: Mike Green <mikey at badpenguins dot com>                        *
 *****************************************************************************
 * config.php                                                                *
 * This file contains the configuration information for the Geeklog cmi      *
 * plugin.                                                                   *
 *****************************************************************************
 * This program is free software; you can redistribute it and/or modify it   *
 * under the terms of the GNU General Public License as published by the     *
 * Free Software Foundation; either version 2 of the License, or (at your    *
 * option) any later version.                                                *
 *                                                                           *
 * This program is distributed in the hope that it will be useful, but       *
 * WITHOUT ANY WARRANTY; without even the implied warranty of                *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General *
 * Public License for more details.                                          *
 *                                                                           *
 * You should have received a copy of the GNU General Public License along   *
 * with this program; if not, write to the Free Software Foundation, Inc.,   *
 * 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.                 *
 *****************************************************************************
 * cmi_enabled:       Turn all cmi module functions on or off                *
 * cmi_anon_edit:     Allow anonymous comment attribution editing            *
 * cmi_non_anon_edit: Allow non anonymous comment attribution editing        *
 * version:           Version of this plugin                                 *
 * compat:            Known compatible versions of geeklog                   *
 * cmi_licenses:      Table containing license types information             *
 * cmi_contacts:      Table containing per article/comment CMI               *
 * cmi_admin_group:   Group to create that will be able to admin CMI         *
 * cmi_mod_group:     Group to create that will be able to edit attribution  *
 *****************************************************************************/

$_CONF['cmi_enabled']         = true; // true or false
$_CONF['cmi_anon_edit']       = true; // true or false
$_CONF['cmi_non_anon_edit']   = 0;    // 1 = on, 0 = off
$_CMI_CONF['version']         = '0.0.1';
$_CMI_CONF['compat']          = array('1.3.9','1.3.10');
$_CMI_CONF['cmi_admin_group'] = 'CMI Admins';
$_CMI_CONF['cmi_mod_group']   = 'CMI Moderators';
$_CMI_CONF['homepage']        = 'http://badpenguins.com/source/cmi/';
$_TABLES['cmi_licenses']      = $_DB_table_prefix . 'cmi_licenses';
$_TABLES['cmi_contacts']      = $_DB_table_prefix . 'cmi_contacts';

$_CMI_CONF['cmi_licenses']['required_fields'] =
    array('license_name');

?>
