<?php
/*****************************************************************************
 * cmi (Copyright Management Information) Plugin for Geeklog                 *
 * Copyright (C) 2004 by the following authors:                              *
 * Authors: Mike Green <mikey at badpenguins dot com>                        *
 *****************************************************************************
 * english.php                                                               *
 * This file contains the english language page for the Geeklog cmi plugin.  *
 *****************************************************************************
 * This program is free software; you can redistribute it and/or modify it   *
 * under the terms of the GNU General Public License as published by the     *
 * Free Software Foundation; either version 2 of the License, or (at your    *
 * option) any later version.                                                *
 *                                                                           *
 * This program is distributed in the hope that it will be useful, but       *
 * WITHOUT ANY WARRANTY; without even the implied warranty of                *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General *
 * Public License for more details.                                          *
 *                                                                           *
 * You should have received a copy of the GNU General Public License along   *
 * with this program; if not, write to the Free Software Foundation, Inc.,   *
 * 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.                 *
 *****************************************************************************/

$LANG_CMI= array(
    1  => 'Access Denied',
    2  => 'You are illegally trying access one of the CMI plugin '
          . 'administration pages.  Please note that all attempts to '
          . 'illegally access this page are logged.',
    3  => 'Attempting to install the cmi (Copyright Management Information) '
          . 'Plugin',
    4  => 'The author(s) of the cmi plugin attempt to keep track of which '
          . 'versions of geeklog are compatible with this plugin, and your '
          . 'currently running version of geeklog is not known to us as '
          . 'compatible.  This is not a showstopper, only a friendly warning.'
          . '  The install may safely be attempted, but it is not guaranteed '
          . 'to function correctly.',
    5  => 'Warning!',
    6  => 'ignore this warning',
    7  => 'Install Complete',
    8  => 'Congratulations!  Install Completed OK',
    9  => 'Installation Failed',
    10 => 'Installation of the plugin failed, a roll back was attempted',
    11 => 'Uninstall Completed',
    12 => 'Uninstall was completed successfuly',
    13 => 'Uninstall Failed',
    14 => 'Uninstallation of the plugin failed, a roll back was attempted',
    15 => 'CMI Admin',
    50 => 'Copyright License List',
    51 => 'New License',
    52 => 'To modify or delete a license, click on the license number '
          . 'below.  To view a license, click on the name of the license '
          . 'you wish to view.  To add a new license click on new license '
          . 'above.  Click on [C] to create a copy of an existing license.',
    53 => 'License Name',
    54 => 'URL',
    55 => 'Version',
    56 => 'No Licenses Installed',
    57 => 'Date Added',
    58 => 'Add License',
    59 => 'View License',
    60 => 'Invalid Request',
    61 => 'The request has failed due to invalid input.',
    62 => 'License Editor',
    63 => 'Sorry, the default license can only be edited, not deleted.',
    64 => 'This license cannot be deleted because it is currently in use '
          . 'by an existing story, story submission, or comment.',
    65 => 'Edit Comment CMI',
    66 => 'Query Failure',
    67 => 'A database query has failed.  Check the error log for more '
          . 'information.',
    68 => 'Changes were performed without error.  Use the back button '
          . 'on your browser to return to the previous page.'
);

?>
